Bug 140073 - net/silc-irssi-plugin crashes upon joining any channel
Summary: net/silc-irssi-plugin crashes upon joining any channel
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wesley Shields
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-10-29 09:30 UTC by Nathaniel Filardo
Modified: 2010-08-19 23:00 UTC (History)
0 users

See Also:


Attachments
file.shar (3.37 KB, text/plain)
2009-10-29 09:30 UTC, Nathaniel Filardo
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nathaniel Filardo 2009-10-29 09:30:02 UTC
This looks like http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=522080 .

Fix: The Debian guys wrote a custom build system to solve this problem, which I have pushed in some form or another to work on the version in ports (i.e., currently 1.1.8).

Using the attached Makefile.override and Makefile.override.PL (and gmake, sorry), my notes from this process say to ...

Run config, extract, configure as usual via the ports system.
Enter the work directory.

(cd lib; make)

## apps/irssi/src/silc/core/silc-expandos.c needs to be patched to include silcdefs.h
## apps/irssi/src/silc/core/silc-core.c needs to be patched to include glib/goption.h

gmake -f Makefile.override apps/irssi/src/fe-common/silc/libfe_silc.{so,a}
gmake -f Makefile.override apps/irssi/src/silc/core/libsilc_core.{so,a}

cp Makefile.override.PL apps/irssi/src/perl/silc/Makefile.PL
gmake -f Makefile.override build-perl

# This builds but I'm not sure what to do with it... trying "make install" in 
# apps/irssi/src/perl/silc/ tries to rebuild things and that's a bad idea.

# Manually copy the silc libraries over
cp lib/.libs/libsilc*.so /usr/local/lib/

# Manually copy the irssi libraries over
cp apps/irssi/src/fe-common/silc/libfe_silc.so /usr/local/lib/irssi/modules
cp apps/irssi/src/silc/core/libsilc_core.so /usr/local/lib/irssi/modules

# At this point it works to load silc and join channels...
# and doesn't crash (!) but this clearly is far from ideal as far as
# "getting it right".
# In any case, if somebody wants to clean this up, here it is.

Patch attached with submission follows:
How-To-Repeat: Build irssi-silc-plugin and the current irssi port.  Load silc, attempt to join channel, observe sparks.
Comment 1 Martin Wilke freebsd_committer 2009-10-29 10:01:03 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wxs

Over to maintainer.
Comment 2 Wesley Shields freebsd_committer 2009-11-01 14:34:30 UTC
I'm aware of this problem but have not had success figuring out why. I
do know that if you downgrade irssi to 0.8.12_2 that the plugin will
work. I'll go ahead and mark this port as BROKEN until I can get a fix
for it.

-- WXS
Comment 3 Wesley Shields freebsd_committer 2009-11-01 14:34:38 UTC
State Changed
From-To: open->analyzed

I need to review this update but for now I'm marking hte port as broken.
Comment 4 dfilter service freebsd_committer 2010-08-19 22:51:41 UTC
wxs         2010-08-19 21:51:28 UTC

  FreeBSD ports repository

  Modified files:
    net/silc-client      Makefile 
  Added files:
    net/silc-client/files 
                          extra-patch-apps__irssi__src__fe-common__silc__Makefile.in 
                          extra-patch-apps__irssi__src__perl__silc__Makefile.PL.in 
                          extra-patch-apps__irssi__src__silc__core__Makefile.in 
                          extra-patch-apps__irssi__src__silc__core__client_ops.c 
                          extra-patch-apps__irssi__src__silc__core__silc-core.c 
                          extra-patch-apps__irssi__src__silc__core__silc-expandos.c 
  Log:
  Make net/silc-irssi-plugin work with the newer versions of irssi. The fixes
  were taken from Debian bug report #522080 and #577501. The work to fix this was done by Murad Khan (mraoul.freebsd@gmail.com) and sent to me privately.
  
  PR:             ports/140073
  Submitted by:   Nathaniel Filardo <nwf@cs.jhu.edu>
  
  Revision  Changes    Path
  1.63      +12 -2     ports/net/silc-client/Makefile
  1.1       +48 -0     ports/net/silc-client/files/extra-patch-apps__irssi__src__fe-common__silc__Makefile.in (new)
  1.1       +10 -0     ports/net/silc-client/files/extra-patch-apps__irssi__src__perl__silc__Makefile.PL.in (new)
  1.1       +48 -0     ports/net/silc-client/files/extra-patch-apps__irssi__src__silc__core__Makefile.in (new)
  1.1       +27 -0     ports/net/silc-client/files/extra-patch-apps__irssi__src__silc__core__client_ops.c (new)
  1.1       +10 -0     ports/net/silc-client/files/extra-patch-apps__irssi__src__silc__core__silc-core.c (new)
  1.1       +10 -0     ports/net/silc-client/files/extra-patch-apps__irssi__src__silc__core__silc-expandos.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Wesley Shields freebsd_committer 2010-08-19 22:52:09 UTC
State Changed
From-To: analyzed->closed

Committed. Thanks!